Loading...
Searching...
No Matches
PointsToMask< GridT, InterrupterT >::AddPoints< PointListT, VecT > Struct Template Reference

`#include <openvdb/tools/PointsToMask.h>`

## Public Member Functions

| AddPoints (const PointListT &points, PoolType &pool, size_t grainSize, const PointsToMask &parent)
void | operator() (const tbb::blocked_range< size_t > &range) const

## Public Attributes

const PointListT * | mPoints
const PointsToMask * | mParent
PoolType * | mPool

## Constructor & Destructor Documentation

## AddPoints()

template<typename GridT , typename InterrupterT >
template<typename PointListT , typename VecT >

AddPoints | ( | const PointListT & | points,
|  | PoolType & | pool,
|  | size_t | grainSize,
|  | const PointsToMask & | parent )

inline

## Member Function Documentation

## operator()()

template<typename GridT , typename InterrupterT >
template<typename PointListT , typename VecT >

void operator() | ( | const tbb::blocked_range< size_t > & | range | ) | const

inline

## Member Data Documentation

## mParent

template<typename GridT , typename InterrupterT >
template<typename PointListT , typename VecT >

const PointsToMask* mParent

## mPoints

template<typename GridT , typename InterrupterT >
template<typename PointListT , typename VecT >

const PointListT* mPoints

## mPool

template<typename GridT , typename InterrupterT >
template<typename PointListT , typename VecT >

PoolType* mPool